summaryrefslogtreecommitdiffstats
path: root/meta/bin/update
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2011-09-06 21:22:54 +0200
committermakefu <github@syntax-fehler.de>2011-09-06 21:22:54 +0200
commit93fc9d2eb6bd59858453f20ad23bd241b4ebab29 (patch)
tree34a33e7d00f289d7bed0a518cf4215601f46e8bf /meta/bin/update
parentc5b5d61f276a5ac4d2243db48e7e8afc5323679d (diff)
parent229b805732cc34c30bb287aa750fbd14df94cc81 (diff)
Merge branch 'master' of github.com:krebscode/painload
Diffstat (limited to 'meta/bin/update')
-rwxr-xr-xmeta/bin/update15
1 files changed, 15 insertions, 0 deletions
diff --git a/meta/bin/update b/meta/bin/update
new file mode 100755
index 00000000..9b2289ad
--- /dev/null
+++ b/meta/bin/update
@@ -0,0 +1,15 @@
+#! /bin/sh
+set -euf
+
+cd $(dirname $(readlink -f $0))/../..
+id=`ls -lnd . | awk '{print$3}'`
+
+if test "${nosudo-false}" != true -a `id -u` != $id; then
+ echo "we're going sudo..." >&2
+ exec sudo -u "#$id" "$0" "$@"
+ exit 23 # go to hell
+fi
+
+echo "// is $PWD owned by $id"
+
+git pull